package site

/*
 * 串货接口，请求及通知订单状态
 */
var MsgTypeList map[string]string = map[string]string{
	"1":  "order_create",         // 请求创建订单
	"2":  "order_created_notify", //订单已创建通知
	"3":  "order_refund",         //请求订单退款
	"4":  "order_refunded_notify",
	"5":  "order_pay", //请求支付订单
	"6":  "order_payed_notify",
	"7":  "order_cancel", // 发送取消订单请求
	"8":  "order_canceled_notify",
	"9":  "order_receive", //向被串货方发送订单已收货请求
	"10": "order_received_notify",
	"11": "order_finished_notify",     //订单已完成通知
	"12": "send_sms",                  //短信
	"13": "order_delivered_notify",    //订单已发货通知
	"14": "order_autocanceled_notify", //订单自动取消通知
	"15": "order_askforrefund_notify", //订单已申请退款通知
	"16": "order_pay_by_master",       //订单请求总站支付
}

func GetMsgTypeText(key string) (text string) {
	for k, val := range MsgTypeList {
		if k == key {
			text = val
			break
		}
	}
	return
}

func GetMsgTypeKey(text string) (key string) {
	for k, val := range MsgTypeList {
		if val == text {
			key = k
			break
		}
	}
	return
}
